1. Blocks
Backoffice API
  • Back to home
  • Community
  • Events
    • Blocks
      • Event blocks by id
        GET
      • Manage Event blocks by id
        PUT
      • Event Block entries by ids
        GET
      • Manage Event Block entries by ids
        PUT
    • Metadata
      • All Event Metadata
      • Update all Event Metadata
    • List events
      GET
    • Create Event
      POST
    • Event by id
      GET
    • Update Event by id
      PATCH
    • Remove Event by id
      DELETE
    • Event occurrences by id
      GET
    • Update Event Block by ids
      PATCH
    • Switch Profile Type by Event id
      POST
    • Change event's workspace
      POST
  • Organizations
    • Blocks
      • Organization blocks by id
      • Manage Organization blocks by id
      • Organization Block entries by ids
      • Manage Organization Block entries by ids
    • Metadata
      • All Organization Metadata
      • Update all Organization Metadata
    • List organizations
      GET
    • Create Organization
      POST
    • Organization by id
      GET
    • Update Organization by id
      PATCH
    • Remove Organization by id
      DELETE
    • Update Organization Block by ids
      PATCH
    • Switch Profile Type by Organization id
      POST
    • Change organization's workspace
      POST
  • People
    • Blocks
      • Person blocks by id
      • Manage Person blocks by id
      • Person Block entries by ids
      • Manage Person Block entries by ids
    • Metadata
      • All Person Metadata
      • Update all Person Metadata
    • List people
      GET
    • Create Person
      POST
    • Person by id
      GET
    • Update Person by id
      PATCH
    • Remove Person by id
      DELETE
    • Update Person Block by ids
      PATCH
    • Switch Profile Type by Person id
      POST
    • Change person's workspace
      POST
  • Projects
    • Blocks
      • Project blocks by id
      • Manage Project blocks by id
      • Project Block entries by ids Copy
      • Manage Project Block entries by ids
    • Metadata
      • All Project Metadata
      • Update all Project Metadata
    • List projects
    • Create Project
    • Project by id
    • Update Project by id
    • Remove Project by id
    • Update Project Block by ids
    • Switch Profile Type by Project id
    • Change project's workspace
  1. Blocks

Manage Event Block entries by ids

PUT
/community/v2/events/{event_id}/blocks/{block_id}/entries
Block Entry could either be of type Content or Relation depending on Block type.
Also, the relation must belong to the related Profile type.
Positions are always determined by the entries place in the entries array.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Invalid UUID
🟠400Bad Request
🟠401Unauthorized API KEY
🟠403Unauthorized roles
🟠404Entity not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request PUT 'https://prod.your-api-server.com/community/v2/events/{{community_event_id}}/blocks/e748af0f-6dc1-4bff-bcc2-93361afea1dc/entries' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "content_id": "713e4c61-5a69-43fb-a600-2e2699462e14",
        "relation_id": "db83d865-cb76-4d51-8e9b-097dfcf4e259"
    }
]'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "content_id": "713e4c61-5a69-43fb-a600-2e2699462e14",
            "relation_id": "db83d865-cb76-4d51-8e9b-097dfcf4e259"
        }
    ]
}
Modified at 2026-03-02 08:00:46
Previous
Event Block entries by ids
Next
All Event Metadata
Built with